Get all workspaces
curl --request GET \
--url https://api.pawa-ai.com/v1/transcribe/workspace \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pawa-ai.com/v1/transcribe/workspace"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pawa-ai.com/v1/transcribe/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Workspaces fetched successfully",
"data": [
{
"id": 5,
"name": "My Workspace",
"createdAt": "2026-02-23T08:00:00.000Z",
"updatedAt": "2026-02-23T08:10:00.000Z"
}
]
}{
"success": false,
"message": "Invalid input provided"
}{
"success": false,
"message": "Unauthorized access"
}{
"success": false,
"message": "You do not have permission to access this resource"
}{
"success": false,
"message": "Resource does not exist"
}{
"success": false,
"message": "Rate limit exceeded. Please try again later."
}{
"success": false,
"message": "Internal server error"
}Transcribe
Get All Workspaces
This endpoint is used to retrieve all workspaces created by the authenticated user.
GET
/
transcribe
/
workspace
Get all workspaces
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search workspace by name
Example:
"My Workspace"
Page number (starts from 1)
Example:
1
Number of items per page
Example:
10
Sort order
Available options:
asc, desc ⌘I